Bug 47338 - XPath Extractor forces retrieval of document DTD
XPath Extractor forces retrieval of document DTD
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.3
All All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-06-09 10:00 UTC by Taylor Mathewson
Modified: 2009-06-28 18:56 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Taylor Mathewson 2009-06-09 10:00:51 UTC
If you run an XPath Extractor post processor against, for example, an XHTML document, the extractor will attempt to retrieve the doc DTD.

Not sure why, XPath Extractor shouldn't really imply document validation, just well-formedness.  I suggest the xml parser havve this disabled for this component.

As an additional enhancement, consider adding it as an option, defaulted to false.

Thanks.
Comment 1 Taylor Mathewson 2009-06-09 10:01:52 UTC
As an additional point, this makes it difficult to test if w3c.org goes down, for example.
Comment 2 Sebb 2009-06-22 02:27:04 UTC
This is a feature of the parser used to generate the document. The DTD may contain entitiy definitions etc. that are required to process the document fully.

It is possible to disable DTD resolution, and hopefully this will be in the next release of JMeter.
Comment 3 Sebb 2009-06-28 18:56:11 UTC
This has been fixed in SVN:

URL: http://svn.apache.org/viewvc?rev=789187&view=rev
Log:
Bug 47338 - XPath Extractor forces retrieval of document DTD